/**Begin D:\DBA\1.4\PDM_UPGRADE\PDM1\BCM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BCM_ISDIMMAP' AND KSQL_COL_NAME ='FINHERITANCESCHEMEID') 
 ALTER TABLE T_BCM_ISDIMMAP ADD (FINHERITANCESCHEMEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BCM_ISDIMMAP' AND KSQL_COL_NAME ='FDATAFILTERCONDITIONID') 
 ALTER TABLE T_BCM_ISDIMMAP ADD (FDATAFILTERCONDITIONID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BCM_ISDIMMAP' AND KSQL_COL_NAME ='FFILTERVALUE')
 ALTER TABLE T_BCM_ISDIMMAP ADD (FFILTERVALUE VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BCM_ISDIMMAP' AND KSQL_COL_NAME ='FRESERVEDFIELD') 
 ALTER TABLE T_BCM_ISDIMMAP ADD (FRESERVEDFIELD VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BCM_ISDIMMAP' AND KSQL_COL_NAME ='FDATATYPE') 
 ALTER TABLE T_BCM_ISDIMMAP ADD (FDATATYPE CHAR(1) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BCM_FILTERCONDITION') 
 CREATE TABLE T_BCM_FILTERCONDITION (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT 'C' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT '0' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL
);



/**End D:\DBA\1.4\PDM_UPGRADE\PDM1\BCM_table.sql **/
